手机版
你好,游客 登录 注册
背景:
阅读新闻

Ubuntu计划在20.04 LTS之前放弃Qt4及其依赖性

[日期:2019-08-24] 来源:Linux公社  作者:醉落红尘 [字体: ]

Qt 5已经有七年历史了,而随着Qt6越来越成为开发的焦点,Ubuntu开发人员正在考虑最终在他们的20.04长期支持版本发布之前删除Qt 4。

为了避免在未来几年支持Qt4,大多数Qt软件已经被移植到Qt5,没有一些旧的KDE组件等,Ubuntu开发人员计划确保在明年4月份推出的Ubuntu 20.04 LTS中完全删除Qt4。Ubuntu 19.10是最后计划发布Qt4包的版本。

仍然有各种Qt4和KDE4包,但要么在接下来的几个月内需要移植到Qt5,要么将从Ubuntu中删除。 一旦Ubuntu 19.10在10月发布,20.04 LTS开发即将开始,他们计划对Qt4执行死刑判决。

通过此邮件列表浏览更多详细信息。

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2019-08/160313.htm

linux
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款